import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import './utils/rem'
import './style'

import NavBar from './components/nav-bar/index.vue'

const app = createApp(App)
app.component('NavBar', NavBar)

app.use(router).mount('#app')
